Retrieve PlanGroupLink - m3ter Documentation
Retrieve PlanGroupLink
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>"],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Examples
200
{
"id": "<string>",
"version": 123,
"planGroupId": "<string>",
"planId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
Authorization Header: Required header to access resources. Supports machine-to-machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId(required): UUID of the organizationid(required): The UUID of the PlanGroupLink to retrieve.
Response Fields
- 200 Response: Returns the PlanGroupLink details.
id: The UUID of the entity.version: Version number, starting at 1 on creation and incremented by 1 on updates.planGroupId: ID of the linked PlanGroup.planId: ID of the linked Plan.dtCreated: Creation date and time (ISO-8601 format).dtLastModified: Last modification date and time (ISO-8601 format).createdBy: The ID of the user who created the link.lastModifiedBy: The ID of the user who last modified the link.